{
  "openapi": "3.0.1",
  "info": {
    "title": "Dexscreener Tokens Scraper",
    "description": "Scrape blazing fast token data from DexScreener.com and uncover the next big crypto gem. Stay ahead with live price changes, liquidity, and market cap across multiple chains. Integrate easily into your workflow and make data-driven investment decisions.",
    "version": "2.5",
    "x-build-id": "JH7s15ByU8bZg8xkM"
  },
  "servers": [
    {
      "url": "https://api.apify.com/v2"
    }
  ],
  "paths": {
    "/acts/crypto-scraper~dexscreener-tokens-scraper/run-sync-get-dataset-items": {
      "post": {
        "operationId": "run-sync-get-dataset-items-crypto-scraper-dexscreener-tokens-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for its completion, and returns Actor's dataset items in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    },
    "/acts/crypto-scraper~dexscreener-tokens-scraper/runs": {
      "post": {
        "operationId": "runs-sync-crypto-scraper-dexscreener-tokens-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor and returns information about the initiated run in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/runsResponseSchema"
                }
              }
            }
          }
        }
      }
    },
    "/acts/crypto-scraper~dexscreener-tokens-scraper/run-sync": {
      "post": {
        "operationId": "run-sync-crypto-scraper-dexscreener-tokens-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for completion, and returns the OUTPUT from Key-value store in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "inputSchema": {
        "type": "object",
        "required": [
          "chainName"
        ],
        "properties": {
          "chainName": {
            "title": "Blockchain",
            "type": "string",
            "description": "Blockchain network to fetch data from. You can also target specific DEXes using format 'chainName/dexName' (e.g., 'solana/moonit', 'ethereum/uniswap'). To find the correct parameters, visit https://dexscreener.com/ and look at the URL."
          },
          "time": {
            "title": "Timeframe",
            "enum": [
              "24h",
              "6h",
              "1h",
              "5m"
            ],
            "type": "string",
            "description": "The timeframe for the pairs.",
            "default": "24h"
          },
          "filterArgs": {
            "title": "Filter",
            "type": "array",
            "description": "Filter arguments to customize your search on DexScreener. Leave empty to scrape the default main page. To use filters, copy the query parameters (everything after '?' in the URL). Example: From 'https://dexscreener.com/solana/?rankBy=trendingScoreH24&order=desc' your filter arg is '?rankBy=trendingScoreH24&order=desc'",
            "default": [],
            "items": {
              "type": "string"
            }
          },
          "fromPage": {
            "title": "From Page",
            "minimum": 1,
            "type": "integer",
            "description": "Starting page number to scrape.",
            "default": 1
          },
          "toPage": {
            "title": "To Page",
            "minimum": -1,
            "type": "integer",
            "description": "Ending page number to scrape (inclusive). Use -1 to scrape until no more pages are available.",
            "default": 1
          },
          "limit": {
            "title": "Limit results",
            "minimum": 0,
            "type": "integer",
            "description": "Maximum number of tokens to push to dataset. 0 means no limit.",
            "default": 0
          },
          "limitPerPage": {
            "title": "Limit per page",
            "minimum": 0,
            "type": "integer",
            "description": "Maximum number of tokens to push per page. 0 means no per-page limit.",
            "default": 0
          },
          "addTokenDetails": {
            "title": "Add Token Details",
            "type": "boolean",
            "description": "If enabled, the scraper will visit each token's detail page to extract additional information like FDV, liquidity breakdown, buy/sell stats, and social links. This significantly increases run time and cost.",
            "default": false
          },
          "addTopTraders": {
            "title": "Add Top Traders",
            "type": "boolean",
            "description": "If enabled, the scraper will extract top traders data for each token. Requires visiting each token's detail page. This significantly increases run time and cost.",
            "default": false
          },
          "topTradersTimeframe": {
            "title": "Top Traders Timeframe",
            "enum": [
              "24h",
              "7d",
              "30d"
            ],
            "type": "string",
            "description": "Timeframe for the top traders data. Only used when 'Add Top Traders' is enabled.",
            "default": "7d"
          }
        }
      },
      "runsResponseSchema": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "actId": {
                "type": "string"
              },
              "userId": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "finishedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "status": {
                "type": "string",
                "example": "READY"
              },
              "meta": {
                "type": "object",
                "properties": {
                  "origin": {
                    "type": "string",
                    "example": "API"
                  },
                  "userAgent": {
                    "type": "string"
                  }
                }
              },
              "stats": {
                "type": "object",
                "properties": {
                  "inputBodyLen": {
                    "type": "integer",
                    "example": 2000
                  },
                  "rebootCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "restartCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "resurrectCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "computeUnits": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "options": {
                "type": "object",
                "properties": {
                  "build": {
                    "type": "string",
                    "example": "latest"
                  },
                  "timeoutSecs": {
                    "type": "integer",
                    "example": 300
                  },
                  "memoryMbytes": {
                    "type": "integer",
                    "example": 1024
                  },
                  "diskMbytes": {
                    "type": "integer",
                    "example": 2048
                  }
                }
              },
              "buildId": {
                "type": "string"
              },
              "defaultKeyValueStoreId": {
                "type": "string"
              },
              "defaultDatasetId": {
                "type": "string"
              },
              "defaultRequestQueueId": {
                "type": "string"
              },
              "buildNumber": {
                "type": "string",
                "example": "1.0.0"
              },
              "containerUrl": {
                "type": "string"
              },
              "usage": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "integer",
                    "example": 1
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "usageTotalUsd": {
                "type": "number",
                "example": 0.00005
              },
              "usageUsd": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "number",
                    "example": 0.00005
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}